By using this site, you agree to our updated Privacy Policy and our Terms of Use. Manage your Cookies Settings.
424,961 Members | 1,332 Online
Bytes IT Community
+ Ask a Question
Need help? Post your question and get tips & solutions from a community of 424,961 IT Pros & Developers. It's quick & easy.

PHP MYADMIN 1064 error as trying to copy table

P: 5
Expand|Select|Wrap|Line Numbers
  1.  
  2. CREATE TABLE `lwd`.`products` (
  3.  
  4. `user_id` int( 1 ) unsigned NOT NULL AUTO_INCREMENT ,
  5. `product_number` varchar( 10 ) NOT NULL ,
  6. `supplier_number` varchar( 30 ) NOT NULL ,
  7. `supplier` varchar( 30 ) NOT NULL ,
  8. `price` varchar( 10 ) NOT NULL ,
  9. `salesprice` varchar( 10 ) NOT NULL ,
  10. `supplier_price` varchar( 10 ) NOT NULL ,
  11. `description` varchar( 1500 ) NOT NULL ,
  12. `min_size` varchar( 3 ) NOT NULL ,
  13. `max_size` varchar( 3 ) NOT NULL ,
  14. `mtm` varchar( 3 ) NOT NULL ,
  15. `custom` varchar( 3 ) NOT NULL ,
  16. `product_type` varchar( 30 ) NOT NULL ,
  17. `underskirt` varchar( 3 ) NOT NULL ,
  18. `swarkovski` varchar( 3 ) NOT NULL ,
  19. `image` longblob NOT NULL ,
  20. `image2` longblob NOT NULL ,
  21. `image3` longblob NOT NULL ,
  22. `image4` longblob NOT NULL ,
  23. PRIMARY KEY ( `user_id` ) 
  24. ) ENGINE = MYISAM AUTO_INCREMENT = 1655DEFAULT CHARSET = latin1 
  25.  
  26. MySQL said:  
  27.  
  28. #1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '1655DEFAULT CHARSET  = latin1' at line 20 
  29.  
  30.  
Apr 15 '12 #1

✓ answered by Luuk

#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '1655DEFAULT CHARSET = latin1'
hmm, maybe a space between '1655' and 'DEFAULT' ??

Ther question remains why phpmyadmin would make such an error.....

Share this Question
Share on Google+
5 Replies


Expert 100+
P: 1,031
#1064 - You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '1655DEFAULT CHARSET = latin1'
hmm, maybe a space between '1655' and 'DEFAULT' ??

Ther question remains why phpmyadmin would make such an error.....
Apr 15 '12 #2

P: 5
thank you thats working now. damn that one space. i don't know why phpmyadmin is playing up but i know my host has done an upgrae on it recently
Apr 15 '12 #3

Expert 100+
P: 1,031
@Grimmerson
which version (of phpMyAdmin) have they running?
and what version if PHP ?
Apr 15 '12 #4

P: 5
currently running version 5.0.83 and all it tells me is its running version 5 php.
Apr 15 '12 #5

Expert 100+
P: 1,031
strange, the latest version is 3.5.0
see: http://www.phpmyadmin.net/home_page/downloads.php
Apr 16 '12 #6

Post your reply

Sign in to post your reply or Sign up for a free account.